<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css"crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/style.css') }}">
    <title>Creación de Tareas</title>
</head>
<body>
    <a href="/cards" class="btn btn-primary mx-5 my-5">Ver todas las tareas</a>
    <form action="/create" method="post" class="p-3 col-4 mx-auto my-5 bg-dark text-light">
        <h2 class="text-center text-primary">Crear Tareas:</h2>
    
        <div class="form-group">
            <label for="name">Nombre de la Tarea:</label>
            <input type="text" name="name" id="name" class="form-control">
        </div>
        <div class="form-group">
            <label for="Observaciones">Observaciones:</label>
            <input type="text" name="observation" id="observation" class="form-control">
        </div>
        
        <div class="form-group">
            <label for="difficulty">Nivel de Dificultad:</label>
            <input type="number" min="0" name="difficulty" id="difficulty" class="form-control">
        </div>
        <div class="form-group my-3">
            <select name="developer_id" class="form-select">
        
                {% for developer in developers %}
                    <option value={{developer.id}}>{{developer.name}}</option>
                {% endfor %}
            </select>
        </div>
        <input type="submit" value="Crear Tarjeta" class="btn btn-primary btn-outline-dark">
    </form>
</body>
</html>